# taglist.h File Reference

`#include <glibmm.h>`
`#include <gst/gsttaglist.h>`
`#include <gstreamermm/structure.h>`

Go to the source code of this file.

## Classes

class | Gst::TagList
| A List of tags and values used to describe media metadata. More...

## Namespaces

namespace | Gst
namespace | Glib

## Enumerations

enum | Gst::TagMergeMode { Gst::TAG_MERGE_UNDEFINED, Gst::TAG_MERGE_REPLACE_ALL, Gst::TAG_MERGE_REPLACE, Gst::TAG_MERGE_APPEND, Gst::TAG_MERGE_PREPEND, Gst::TAG_MERGE_KEEP, Gst::TAG_MERGE_KEEP_ALL, Gst::TAG_MERGE_COUNT }
enum | Gst::TagFlag { Gst::TAG_FLAG_UNDEFINED, Gst::TAG_FLAG_META, Gst::TAG_FLAG_ENCODED, Gst::TAG_FLAG_DECODED, Gst::TAG_FLAG_COUNT }

enum

Gst::Tag {
Gst::TAG_TITLE,
Gst::TAG_TITLE_SORTNAME,
Gst::TAG_ARTIST,
Gst::TAG_ARTIST_SORTNAME,
Gst::TAG_ALBUM,
Gst::TAG_ALBUM_SORTNAME,
Gst::TAG_DATE,
Gst::TAG_GENRE,
Gst::TAG_COMMENT,
Gst::TAG_EXTENDED_COMMENT,
Gst::TAG_TRACK_NUMBER,
Gst::TAG_TRACK_COUNT,
Gst::TAG_ALBUM_VOLUME_NUMBER,
Gst::TAG_ALBUM_VOLUME_COUNT,
Gst::TAG_LOCATION,
Gst::TAG_DESCRIPTION,
Gst::TAG_VERSION,
Gst::TAG_ISRC,
Gst::TAG_ORGANIZATION,
Gst::TAG_COPYRIGHT,
Gst::TAG_COPYRIGHT_URI,
Gst::TAG_COMPOSER,
Gst::TAG_CONTACT,
Gst::TAG_LICENSE,
Gst::TAG_LICENSE_URI,
Gst::TAG_PERFORMER,
Gst::TAG_DURATION,
Gst::TAG_CODEC,
Gst::TAG_VIDEO_CODEC,
Gst::TAG_AUDIO_CODEC,
Gst::TAG_BITRATE,
Gst::TAG_NOMINAL_BITRATE,
Gst::TAG_MINIMUM_BITRATE,
Gst::TAG_MAXIMUM_BITRATE,
Gst::TAG_SERIAL,
Gst::TAG_ENCODER,
Gst::TAG_ENCODER_VERSION,
Gst::TAG_TRACK_GAIN,
Gst::TAG_TRACK_PEAK,
Gst::TAG_ALBUM_GAIN,
Gst::TAG_ALBUM_PEAK,
Gst::TAG_REFERENCE_LEVEL,
Gst::TAG_LANGUAGE_CODE,
Gst::TAG_IMAGE,
Gst::TAG_PREVIEW_IMAGE,
Gst::TAG_ATTACHMENT,
Gst::TAG_BEATS_PER_MINUTE,
Gst::TAG_KEYWORDS,
Gst::TAG_GEO_LOCATION_NAME,
Gst::TAG_GEO_LOCATION_LATITUDE,
Gst::TAG_GEO_LOCATION_LONGITUDE,
Gst::TAG_GEO_LOCATION_ELEVATION
}

| Identifiers for commonly-used tags. More...

## Functions

std::ostream& | Gst::operator<< (std::ostream& stream, Tag tag)
| Output stream operator for the Gst::Tag enum (this will output a string).